name: Verify Nix Flake
run-name: ${{ gitea.actor }} is nix-check
on: [push]

jobs:
  verify_build:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - uses: cachix/install-nix-action@v30
      - run: nix flake check
